Subject: BDR election in a graceful restart

From: "Shen, Yimin" <[email-masked]>
Date: Fri, 5 Nov 2004 11:16:01 -0500

Hi,

In RFC 3623 section 3 "Operation of Helper Neighbor", it says the following:

"... if X was the Designated Router on network segment S when the helping relationship began, Y maintains X as the Designated Router until the helping relationship is terminated."
However, it doesn't mention what should happen if X is a BDR. If a BDR is undergoing a graceful restart, is it expected that another router which has the highest priority among all routers (excluding the current DR) on the same network segment S to be elected as a new BDR ?

Thanks in advance.

- Yimin Shen

---

From: Acee Lindem <[email-masked]>
Date: Fri, 5 Nov 2004 11:36:30 -0500

----- Original Message -----
From: "Shen, Yimin" <[email-masked]>
To: <[email-masked]>
Sent: Friday, November 05, 2004 11:16 AM
Subject: BDR election in a graceful restart

> "... if X was the Designated Router on network segment S when the helping relationship began, Y maintains X as the Designated
> Router until the helping relationship is terminated."
> However, it doesn't mention what should happen if X is a BDR. If a BDR is undergoing a graceful restart, is it expected that
> another router which has the highest priority among all routers (excluding the current DR) on the same network segment S to be
> elected as a new BDR ?
>

Hi Yimin,
This is exactly what happens. Since the restarting router must reestablish an adjacency anyway
there is really no savings by preserving the BDR state across restarts. However, depending on
timing the restarting router may become BDR.
Hope this helps,
Acee